.loading-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1050;
    display: none;
    /* Hide by default */
}

.spinner-container {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}

.pdf-card {
    width: 100px;
    height: 100px;
    border: 1px solid #ddd;
    border-radius: 4px;
    overflow: hidden;
    position: relative;
    cursor: pointer;
}

.pdf-preview {
    height: 70px;
    background-color: #f8f9fa;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    color: #6c757d;
}

.pdf-name {
    height: 30px;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    font-size: 0.8em;
    padding: 2px 5px;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.pdf-preview img {
    height: 80px;
    width: 100px;
}
canvas {
    display: block;
    margin-bottom: 20px;
    border: 1px solid #ccc;
}